import request from '@/utils/request'

// 查询东南亚大型特藏列表
export function listCollection(query) {
    return request({
        url: '/vr/specialCollection/pageList',
        method: 'get',
        params: query
    })
}

// 查询东南亚大型特藏详细
export function getCollection(id) {
    return request({
        url: '/vr/specialCollection/' + id,
        method: 'get'
    })
}

// 新增东南亚大型特藏
export function addCollection(data) {
    return request({
        url: '/vr/specialCollection',
        method: 'post',
        data: data
    })
}

// 修改东南亚大型特藏
export function updateCollection(data) {
    return request({
        url: '/vr/specialCollection',
        method: 'put',
        data: data
    })
}

// 删除东南亚大型特藏
export function delCollection(id) {
    return request({
        url: '/vr/specialCollection/' + id,
        method: 'delete'
    })
}
